---
title: Intl.RelativeTimeFormat
slug: Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat
tags:
  - Class
  - Internationalization
  - Intl
  - JavaScript
  - RelativeTimeFormat
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.RelativeTimeFormat</code></strong> object enables language-sensitive relative time formatting.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-relativetimeformat.html")}}</div>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{jsxref("Intl/RelativeTimeFormat/RelativeTimeFormat", "Intl.RelativeTimeFormat.RelativeTimeFormat()")}}</dt>
 <dd>Creates a new <code>Intl.RelativeTimeFormat</code> object.</dd>
</dl>

<h2 id="Static_methods">Static methods</h2>

<dl>
 <dt>{{jsxref("Intl/RelativeTimeFormat/supportedLocalesOf", "Intl.RelativeTimeFormat.supportedLocalesOf()")}}</dt>
 <dd>Returns an array containing those of the provided locales that are supported without having to fall back to the runtime's default locale.</dd>
</dl>

<h2 id="Instance_methods">Instance methods</h2>

<dl>
 <dt>{{jsxref("Intl/RelativeTimeFormat/format", "Intl.RelativeTimeFormat.prototype.format()")}}</dt>
 <dd>Formats a <code>value</code> and a <code>unit</code> according to the locale and formatting options of the given {{jsxref("Intl.RelativeTimeFormat")}} object.</dd>
 <dt>{{jsxref("Intl/RelativeTimeFormat/formatToParts", "Intl.RelativeTimeFormat.prototype.formatToParts()")}}</dt>
 <dd>Returns an {{jsxref("Array")}} of objects representing the relative time format in parts that can be used for custom locale-aware formatting.</dd>
 <dt>{{jsxref("Intl/RelativeTimeFormat/resolvedOptions", "Intl.RelativeTimeFormat.prototype.resolvedOptions()")}}</dt>
 <dd>Returns a new object with properties reflecting the locale and formatting options computed during initialization of the object.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_format_usage">Basic <code>format</code> usage</h3>

<p>The following example shows how to use a relative time formatter for the English language.</p>

<pre class="brush: js notranslate">// Create a relative time formatter in your locale
// with default values explicitly passed in.
const rtf = new Intl.RelativeTimeFormat("en", {
    localeMatcher: "best fit", // other values: "lookup"
    numeric: "always", // other values: "auto"
    style: "long", // other values: "short" or "narrow"
});

// Format relative time using negative value (-1).
rtf.format(-1, "day");
// &gt; "1 day ago"

// Format relative time using positive  value (1).
rtf.format(1, "day");
// &gt; "in 1 day"</pre>

<h3 id="Using_formatToParts">Using formatToParts</h3>

<p>The following example shows how to create a relative time formatter returning formatted parts</p>

<pre class="brush: js notranslate">const rtf = new Intl.RelativeTimeFormat("en", { numeric: "auto" });

// Format relative time using the day unit.
rtf.formatToParts(-1, "day");
// &gt; [{ type: "literal", value: "yesterday"}]

rtf.formatToParts(100, "day");
// &gt; [{ type: "literal", value: "in " },
// &gt;  { type: "integer", value: "100", unit: "day" },
// &gt;  { type: "literal", value: " days" }]
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p><a href="https://formatjs.io/docs/polyfills/intl-relativetimeformat">formatjs Intl.RelativeTimeFormat polyfill</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#relativetimeformat-objects', 'RelativeTimeFormat')}}</td>
   <td>Stage 4</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Intl.RelativeTimeFormat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://developers.google.com/web/updates/2018/10/intl-relativetimeformat">The Intl.RelativeTimeFormat API</a></li>
</ul>
